Set Current Config Version
curl --request POST \
--url https://api.example.com/components/{component_id}/configs/{version}/set-current \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"guard": {
"latest_version": 123,
"current_version": 123
}
}
'import requests
url = "https://api.example.com/components/{component_id}/configs/{version}/set-current"
payload = { "guard": {
"latest_version": 123,
"current_version": 123
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({guard: {latest_version: 123, current_version: 123}})
};
fetch('https://api.example.com/components/{component_id}/configs/{version}/set-current', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"component_id": "<string>",
"component_type": "agent",
"created_at": 123,
"name": "<string>",
"user_id": "<string>",
"description": "<string>",
"current_version": 123,
"metadata": {},
"updated_at": 123,
"deleted_at": 123
}{
"detail": "Bad request"
}{
"detail": "Unauthenticated access"
}{
"detail": "Not found"
}{
"detail": [
{
"loc": [
"body",
"endpoint"
],
"msg": "Value error, Endpoint must be a path, not a full URL",
"type": "value_error"
}
]
}{
"detail": "Internal server error"
}Components
Set Current Config Version
Set a published config version as current (for rollback).
POST
/
components
/
{component_id}
/
configs
/
{version}
/
set-current
Set Current Config Version
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Body for set-current. Optional: an empty POST keeps working.
Optional compare-and-set guard
Show child attributes
Show child attributes
Response
Successful Response
Available options:
agent, team, workflow